values-list.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Iter::Values::ValueListIter
| Iterator over value lists. More...
class | Gecode::Iter::Values::ValueListIter::ValueList
| Value list class. More...
class | Gecode::Iter::Values::ValueListIter::VLIO
| Shared object for allocation. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Iter
| Range and value iterators.
namespace | Gecode::Iter::Values
| Value iterators.